//fpRedsoda.cs

//audio
datablock AudioProfile(EatSound)
{
	filename    = "./Eat.wav";
	description = AudioClose3d;
	preload = true;
};

datablock ParticleData(BeanEatParticle)
{
	dragCoefficient      = 5.0;
	gravityCoefficient   = -0.2;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 500;
	useInvAlpha          = true;
	textureName          = "base/data/particles/chunk";
	colors[0]     = "1.0 0 0 1";
	colors[1]     = "0.5 0 0 1";
	colors[2]     = "0.0 0.0 0.0 0";
	sizes[0]      = 0.4;
	sizes[1]      = 0.6;
	sizes[2]      = 0.4;
	times[0]      = 0.0;
	times[1]      = 0.2;
	times[2]      = 1.0;
};

datablock ParticleEmitterData(BeanEatEmitter)
{
	ejectionPeriodMS = 35;
	periodVarianceMS = 0;
	ejectionVelocity = 0.5;
	ejectionOffset   = 1.0;
	velocityVariance = 0.49;
	thetaMin         = 0;
	thetaMax         = 120;
	phiReferenceVel  = 0;
	phiVariance      = 360;
	overrideAdvance = false;
	particles = "BeanEatParticle";

};

datablock ShapeBaseImageData(BeanEatImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = $HeadSlot;

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= true;
	stateTimeoutValue[1]			= 0.350;
	stateEmitter[1]					= BeanEatEmitter;
	stateEmitterTime[1]				= 0.350;
	stateSound[1]					= eatSound;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function BeanEatImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}

datablock ItemData(BeanItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./Bean.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Bean";
	iconName = "";
	doColorShift = false;

	 // Dynamic properties defined by the scripts
	image = BeanImage;
	canDrop = true;
};

datablock ShapeBaseImageData(BeanImage)
{
	// Basic Item properties
	shapeFile = "./Bean.dts";
	emap = true;

	// Specify mount point & offset for 3rd person, and eye offset
	// for first person rendering.
	mountPoint = 0;
	eyeOffset = 0; //"0.7 1.2 -0.5";

	className = "WeaponImage";
	item = BeanItem;

	//raise your arm up or not
	armReady = true;

	doColorShift = false;

	// Initial start up state
	stateName[0]                     = "Ready";
	stateTransitionOnTriggerDown[0]  = "Fire";
	stateAllowImageChange[0]         = true;
	stateSequence[0]				= "pulsate";
	stateTimeoutValue[0]			= 1;
	stateTransitionOnTimeout[0]		= "ReadyLoop";

	stateName[2]					= "ReadyLoop";
	stateTransitionOnTriggerDown[2]  = "Fire";
	stateAllowImageChange[2]         = true;
	stateSequence[2]				= "pulsate";
	stateTimeoutValue[2]			= 1;
	stateTransitionOnTimeout[2]		= "Ready";

	stateName[1]                     = "Fire";
	stateTransitionOnTimeout[1]      = "Ready";
	stateAllowImageChange[1]         = true;
	  stateScript[1]                   = "onFire";
	stateTimeoutValue[1]		   = 1;
	stateSound[1]					= drinkSound;
};

function BeanImage::onFire(%this,%obj,%slot)
{
	for(%i=0;%i<5;%i++)
	{
		%toolDB = %obj.tool[%i];
		if(%toolDB $= %this.item.getID())
		{
			%obj.addhealth(15);
			%obj.emote(BeanEatImage);
			%obj.tool[%i] = 0;
			%obj.weaponCount--;
			messageClient(%obj.client,'MsgItemPickup','',%i,0);
			serverCmdUnUseTool(%obj.client);
			break;
		}
	}
}